### Method

# Soup MessageHeaders set_range

#### Declaration [src]

    void
    soup_message_headers_set_range (
      SoupMessageHeaders* hdrs,
      goffset start,
      goffset end
    )

#### Description [src]

Sets `hdrs`‘s Range header to request the indicated range.

`start` and `end` are interpreted as in a `SoupRange`.

If you need to request multiple ranges, use `soup_message_headers_set_ranges()`.

#### Parameters

`start`

  Type: `goffset`

  The start of the range to request.

`end`

  Type: `goffset`

  The end of the range to request.